Skip to content

changeEmail

POST
/change-email
curl --request POST \
--url https://gymgym.club/api/auth/change-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "newEmail": "example", "callbackURL": "example" }'
Media typeapplication/json
object
newEmail
required

The new email address to set must be a valid email address

string
callbackURL

The URL to redirect to after email verification

string
Examplegenerated
{
"newEmail": "example",
"callbackURL": "example"
}

Email change request processed successfully

Media typeapplication/json
object
user
object
id
required
string
name
required
string
email
required
string
emailVerified
required
boolean
image
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
role
string
banned
boolean
banReason
string
banExpires
string format: date-time
isAnonymous
boolean
lastLoginMethod
string
status
required

Indicates if the request was successful

boolean
message

Status message of the email change process

string
nullable
Allowed values: Email updated Verification email sent
Example
{
"user": {
"emailVerified": false,
"banned": false,
"isAnonymous": false
},
"message": "Email updated"
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}